migrate_from_trac does not support trac 0.12

2010-06-27 13:36 - Michalis Miatidis

Status: New Start date: 2010-06-27

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Description

I attempted to migrate a trac 0.12 project to Redmine 0.9.4 and encountered the following two errors:

1. I had no clue that the project ID should be given in lowercase:

...

Target project identifier []: ETrackProject

Unable to create a project with identifier 'ETrackProject'!

rake aborted!

undefined method `reload' for nil:NilClass

C:/redmine-0.9.4/lib/tasks/migrate_from_trac.rake:685:in `target_project_identifier'

...

2. Importer was not able to handle time format of trac 0.12 database. Trac seems to keep times as Epoch at fixed length adding

trailing '0's.

...

Migrating components................................

Migrating milestones.rake aborted!

bignum too big to convert into `long'

C:/redmine-0.9.4/lib/tasks/migrate_from_trac.rake:104:in `at'

...

I attach a patch that resolved for me the above. I am not sure if it remains compatible with trac 0.11

Related issues:

Related to Redmine - Defect #6868: migrate_from_trac and trac 0.12 Reopened 2010-11-11

Related to Redmine - Patch #14567: migrate_from_trac.rake does not convert ti... New

History

#1 - 2010-11-13 04:28 - Michał Wróbel

The problem results from the timestamps' format change from "seconds since epoch" to "microseconds since epoch" in Trac 0.12

While trying to migrate my Trac environments I got straight down to the code and reinvented the wheel by making a similar patch

I am pretty sure that neither mine nor Michalis' one do not remain compatible with trac 0.11, since they neither check the version of trac database

schema nor perform any heurestics on the timestamps themselves. Before merging into mainstream, of course this needs to be done.

#2 - 2010-11-13 11:38 - Jean-Philippe Lang

If someone can send me a trac-0.12 database containing some sample data, I can try to fix it.

#3 - 2011-01-08 23:02 - Blake Matheny

The trac migration script also does not handle the new trac 0.12 syntax for commit messages via the commit hook scripts. Pre 0.12, commit

messages were of the form

{{{

(In [\d+]) Commit message.

}}}

With the multi-repository support in version 0.12 the message changed to:
http://trac.edgewall.org/wiki/TracDev/ReleaseNotes/0.12
https://github.com/xmxwx/redmine/commit/5428853f7f4984ded4ab3ec669c50d8c76026c81


In [(\d+)/(\S+)]:

{{{

#!CommitTicketReference repository="\S+" revision="\d+" 

Commit message

}}}

 The following replacement addresses this issue while maintaining revision links (place before the "# Revision links" comment):

commit_re = /^In \[(\d+)\/\S+\]:[\r\n]+\{\{\{[\r\n]+#!CommitTicketReference repository="\S+" revision="\d+"[\r

\n]+(.*)[\r\n]*\}\}\}[\r\n]*/m

text = text.gsub(commit_re, '(In [\1]) \2') 

This just basically converts the new commit message style to the old one.

#4 - 2011-03-03 14:45 - Etienne Massip

- Target version set to Candidate for next minor release

#5 - 2013-03-13 16:47 - Johannes Weberhofer

This problem exists since trac database version 23 (see http://trac.edgewall.org/attachment/ticket/6466/6466-microsecond-times-r8770.patch ).

"trac.system" table should be checked; when "database_version" has an "value" > 22, all time-values should be divided by 1000000, as they have

been converted to microseconds.

#6 - 2013-07-29 16:51 - Craig Rodrigues

Can you try this patch:

http://www.redmine.org/issues/14567

#7 - 2013-07-31 11:16 - Toshi MARUYAMA

- Related to Patch #14567: migrate_from_trac.rake does not convert timestamps in Trac database version 23 added

Files

migrate_from_trac.diff 1.35 KB 2010-06-27 Michalis Miatidis

Powered by TCPDF (www.tcpdf.org)

2025-07-12 2/2

http://trac.edgewall.org/attachment/ticket/6466/6466-microsecond-times-r8770.patch
http://www.redmine.org/issues/14567
http://www.tcpdf.org

